curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/paykeys/<uuid>/unmaskedimport Straddle from '@straddlecom/straddle';
const client = new Straddle({
apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});
async function main() {
const paykeyUnmaskedV1 = await client.paykeys.unmasked('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(paykeyUnmaskedV1.data);
}
main();import os
from straddle import Straddle
client = Straddle(
api_key=os.environ.get("STRADDLE_API_KEY"), # This is the default and can be omitted
)
paykey_unmasked_v1 = client.paykeys.unmasked(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(paykey_unmasked_v1.data)require "straddle"
straddle = Straddle::Client.new(
api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
environment: "production" # defaults to "sandbox"
)
paykey_unmasked_v1 = straddle.paykeys.unmasked("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(paykey_unmasked_v1){
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"paykey": "<string>",
"config": {},
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"institution_name": "Bank of America",
"status_details": {
"message": "Bank account sucesfully validated",
"changed_at": "2023-11-07T05:31:56Z",
"code": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"bank_data": {
"routing_number": "021000021",
"account_number": "123456789"
},
"metadata": {},
"balance": {
"account_balance": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"external_id": "<string>"
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}Unmask paykey data
Retrieves the unmasked details of an existing paykey. Supply the unique paykey id and Straddle will return the corresponding paykey record, including the unmasked bank account details. This endpoint needs to be enabled by Straddle for your account and should only be used when absolutely necessary.
curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/paykeys/<uuid>/unmaskedimport Straddle from '@straddlecom/straddle';
const client = new Straddle({
apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});
async function main() {
const paykeyUnmaskedV1 = await client.paykeys.unmasked('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(paykeyUnmaskedV1.data);
}
main();import os
from straddle import Straddle
client = Straddle(
api_key=os.environ.get("STRADDLE_API_KEY"), # This is the default and can be omitted
)
paykey_unmasked_v1 = client.paykeys.unmasked(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(paykey_unmasked_v1.data)require "straddle"
straddle = Straddle::Client.new(
api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
environment: "production" # defaults to "sandbox"
)
paykey_unmasked_v1 = straddle.paykeys.unmasked("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(paykey_unmasked_v1){
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"paykey": "<string>",
"config": {},
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"institution_name": "Bank of America",
"status_details": {
"message": "Bank account sucesfully validated",
"changed_at": "2023-11-07T05:31:56Z",
"code": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"bank_data": {
"routing_number": "021000021",
"account_number": "123456789"
},
"metadata": {},
"balance": {
"account_balance": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"external_id": "<string>"
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"detail": "<string>",
"reference": "<string>"
}
]
}
}Please contact [email protected] to request access.
Authorizations
Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.
Headers
For use by platforms to specify an account id and set scope of a request.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Path Parameters
Response
OK
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Show child attributes
Indicates the structure of the returned content.
- "object" means the
datafield contains a single JSON object. - "array" means the
datafield contains an array of objects. - "error" means the
datafield contains an error object with details of the issue. - "none" means no data is returned.
object, array, error, none Show child attributes
Show child attributes
Was this page helpful?